Skip to main content
GET
/
wallet
/
{user_id}
/
package
Get User Package
curl --request GET \
  --url https://api.fish.audio/wallet/{user_id}/package \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fish.audio/wallet/{user_id}/package"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fish.audio/wallet/{user_id}/package', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "user_id": "<string>",
  "type": "<string>",
  "total": 123,
  "balance": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "stripe_subscription_id": "<string>",
  "stripe_price_id": "<string>",
  "billing_period": "<string>",
  "current_period_end": "2023-11-07T05:31:56Z",
  "cancel_at_period_end": true,
  "cancel_at": "2023-11-07T05:31:56Z",
  "scheduled_change": {},
  "last_synced_at": "2023-11-07T05:31:56Z",
  "extra_balance": 0,
  "has_used_trial": false
}
{
"status": 123,
"message": "<string>"
}
[
{
"loc": [
"<string>"
],
"type": "<string>",
"msg": "<string>",
"ctx": "<string>"
}
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
default:self

User ID or 'self'

Response

Request fulfilled, document follows

user_id
string
required
type
string
required
total
integer
required
balance
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
finished_at
string<date-time>
required
stripe_subscription_id
string | null
stripe_price_id
string | null
billing_period
string | null
current_period_end
string<date-time> | null
cancel_at_period_end
boolean | null
cancel_at
string<date-time> | null
scheduled_change
Scheduled Change · object | null
last_synced_at
string<date-time> | null
extra_balance
integer | null
default:0
has_used_trial
boolean
default:false